Fedora 15 GNOME 天气插件

更新至Fedora 15后,发现GNOME也随之更新。不过原来的天气显示却不见了,为了方便查看实时天气,现在为此图形界面添加GNOME天气插件。方法如下:
1.在这里https://github.com/simon04/gnome-shell-extension-weather下载天气插件simon04-gnome-shell-extension-weather.tar.gz。解压后使用终端进入该文件夹。
2.使用如下命令进行安装:

#./autogen.sh --prefix=/usr
#make
#sudo make install

以上命令说明文件安装在/usr/路径下,我们可以在/usr/share/gnome-shell/extensions/这里找到所安装插件,如想卸载,直接删除即可。
3.在http://sigizmund.info/woeidinfo/网站查询天气城市代码。比如我在北京。查询后获得城市代码2151330。
4.使用如下命令进行天气预报地点设置:

#gsettings set org.gnome.shell.extensions.weather woeid 2151330

5.重新启动GNOME后天气插件加载完毕,效果如下:

至此,该天气插件配置基本完毕。如果想进一步配置,请参看文件夹里的配置说明文件README.md。

发表评论?

8 条评论。

  1. # ./autogen.sh –prefix=/usr && make && sudo make install
    /usr/bin/gnome-autogen.sh
    checking for autoconf >= 2.53…
    testing autoconf2.50… not found.
    testing autoconf… found 2.68
    checking for automake >= 1.9…
    testing automake-1.11… found 1.11.1
    checking for intltool >= 0.25…
    testing intltoolize… not found.
    ***Error***: You must have intltool >= 0.25 installed
    to build gnome-shell-extension-weather. Download the appropriate package for
    from your distribution or get the source tarball at
    http://ftp.gnome.org/pub/GNOME/sources/intltool/

    这是什么意思?

    • 反馈信息:testing intltoolize… not found.
      ***Error***: You must have intltool >= 0.25 installed
      说明你的编译程序版本不适用此插件,也就是你的兼容和依赖关系有问题。
      另外此天气插件仅适用于Linux的新版图形界面GNOME 3.0和GNOME 3.2。

      • yum install intltool -y 之后,再编译安装,还是有错。

        gsettings set org.gnome.shell.extensions.weather woeid 2141168
        g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
        已终止

        这是编译后(也看不出编译过程中哪里有错误问题,一大堆内容……) 然后用上面的命令加入城市的时候,出现了上面的提示,何意?

        我系统是fedroa15,默认gnome3桌面,肯定适合这个软件的。

  2. 我编译安装后,在/usr/share/gnome-shell/extensions/下看到三个文件:
    extension.js metadata.json stylesheet.css 别的就没有了,你那里也是?

  3. 我接着注销了一下机器,登陆后再输入上面的
    gsettings set org.gnome.shell.extensions.weather woeid 2141168
    命令后,没有错误提示。 但是当我再次注销登陆后发现还是没有启动天气插件呀

  4. make[1]: 进入目录“/home/shaw/Downloads/simon04-gnome-shell-extension-weather-0c2dd54/src”
    Makefile:426: *** 遗漏分隔符 。 停止。
    make[1]: 离开目录“/home/shaw/Downloads/simon04-gnome-shell-extension-weather-0c2dd54/src”
    make: *** [all-recursive] 错误 1

    make时候遇到了这个错误,不知到怎么解决要

发表评论


注意 - 你可以用以下 HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

www.000webhost.com